000025909 - Error: 'sirrus.api.client.InvalidPasswordException: The password is not valid' deprecated exception in RSA ClearTrust 5.5.2 Administrative Java API

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000025909
Applies ToRSA ClearTrust 5.5.2 Administrative Java API
Microsoft Windows 2000 Server SP4
IssueError: "sirrus.api.client.InvalidPasswordException: The password is not valid" deprecated exception in RSA ClearTrust 5.5.2 Administrative Java API
CauseThe InvalidPasswordException exception class is marked a deprecated in RSA ClearTrust 5.5.2, and therefore RSA Security code should not throw this exception. Some uses of the exception were missed in the released code, hence the deprecated exception would still be thrown.
ResolutionA hot fix is available for RSA ClearTrust 5.5.2 from RSA Security Customer Support that stops ClearTrust code from throwing this exception. Contact RSA Security Customer Support to request RSA ClearTrust 5.5.2.63.

Since the exception class is marked as deprecated, this means that any existing custom code which throws the exception will still work correctly, new code may be written such that the exception need not be caught.
Legacy Article IDa24522

Attachments

    Outcomes